## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

%bcond_without check
%global __cargo_skip_build 0

%global crate rpg-cli

Name:           %{crate}
Version:        1.0.0
Release:        %autorelease
Summary:        JRPG-inspired terminal game

# Upstream license specification: MIT
License:        MIT and ASL 2.0 and CC0 and Unlicense and MPLv2.0 and Boost
URL:            https://github.com/facundoolano/rpg-cli
Source:         %{url}/archive/refs/tags/%{version}.tar.gz

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging

%global _description %{expand:
rpg-cli is a bare-bones JRPG-inspired terminal game written in Rust.}

%description %{_description}

%files
%license LICENSE
%doc README.md CHANGELOG.md
%{_bindir}/rpg-cli

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Mon Sep 13 2021 Rémi Lauzier <remilauzier@protonmail.com> 1.0.0-1
- Update to version 1.0.0; Fixes RHBZ#2001478

* Wed Aug 04 2021 Rémi Lauzier <remilauzier@protonmail.com> 0.6.0-1
- Update to version 0.6.0; Fixes RHBZ#1990067

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> 0.5.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sun Jun 27 2021 Rémi Lauzier <remilauzier@protonmail.com> - 0.5.0-1
- Update to 0.5.0.
- Fixes RHBZ#1976585

* Tue Jun 15 2021 Rémi Lauzier <remilauzier@protonmail.com> - 0.4.1-1
- Update to 0.4.1.
- Fixes RHBZ#1972071

* Sun Jun 06 2021 Rémi Lauzier <remilauzier@protonmail.com> - 0.4.0-1
- Update to 0.4.0.
- Fixes RHBZ#1968173

* Mon May 31 2021 Rémi Lauzier <remilauzier@protonmail.com> - 0.3.0-1
- Update to 0.3.0.

* Fri May 28 2021 Rémi Lauzier <remilauzier@protonmail.com> - 0.2.0-1
- Initial package

